
def zip_file(file1, file2):
    import os
    import zipfile
    import tempfile
    import shutil

    with tempfile.NamedTemporaryFile(delete=False) as tmp:
        with zipfile.ZipFile(tmp.name, 'w') as zipf:
            zipf.write(file1)
            zipf.write(file2)
    
    with zipfile.ZipFile(tmp.name, 'r') as zipf:
        with open('output.zip', 'wb') as output:
            output.write(zipf.read('test.zip'))
    
    shutil.rmtree(os.path.dirname(tmp.name))
    return 'output.zip'

